项目中途引入Mybatis-plus后报错:Caused by: java.lang.ClassNotFoundException: org.mybatis.logging.LoggerFactory_杨四郎2018的博客

CSDN博客 · · 1080 次点击 · · 开始浏览    
这是一个创建于 的文章,其中的信息可能已经有所发展或是发生改变。

项目中途引入Mybatis-plus后报错:Caused by: java.lang.ClassNotFoundException: org.mybatis.logging.LoggerFactory

1、网上有提供解决办法1:

  在引入mybatis-plus之前,是存在mybatis的包和pagehelper包的,把这两个注释掉就可以了。

  分页就使用mybatis-plus自带的IPage。

        <!-- SpringBoot集成mybatis框架 -->
        <!--<dependency>-->
            <!--<groupId>org.mybatis.spring.boot</groupId>-->
            <!--<artifactId>mybatis-spring-boot-starter</artifactId>-->
            <!--<version>${mybatis.spring.boot.starter.version}</version>-->
        <!--</dependency>-->

     <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>3.2.0</version>
        </dependency>
        
        <!-- pagehelper 分页插件 -->
        <!--<dependency>-->
            <!--<groupId>com.github.pagehelper</groupId>-->
            <!--<artifactId>pagehelper-spring-boot-starter</artifactId>-->
            <!--<version>${pagehelper.spring.boot.starter.version}</version>-->
        <!--</dependency>-->

  1、pagehelper插件已经使用了,中途需要改动带来麻烦;

  2、个人测试并没有解决问题;

2、网上有提供解决办法2:

https://www.cnblogs.com/jasongrass/p/13095486.html

归根结底是: mybatis-plus-boot-starter和mybatis-spring-boot-starter两个依赖会冲突,所以有了 mybatis-plus-boot-starter就不需要 spring 自己的 mybatis-spring-boot-starter 了。

以上两个方法都是去掉mybatis-spring-boot-starter ,个人测试去掉仍没法解决;

3、版本号的方式解决:

那么,既然是两个包冲突了,试着使用版本号的方式解决:

解决版本冲突1:

        <!-- 添加mybatis -->
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>1.3.2</version>
        </dependency>

        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-extension</artifactId>
            <!-- mybatis-spring-boot-starter的1.3.2版本号一定要和mybatis-plus的3.1.2主版本号一致 -->
            <version>3.1.2</version>
        </dependency>

解决版本冲突2:

mybatis-spring-boot-starter 改为2.0.0以上版本
        <!-- https://mvnrepository.com/artifact/org.mybatis.spring.boot/mybatis-spring-boot-starter -->
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>2.1.1</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/com.baomidou/mybatis-plus-boot-starter -->
        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>mybatis-plus-boot-starter</artifactId>
            <version>3.3.2</version>
        </dependency>

这两种办法亲测有效。

 

1080 次点击  
加入收藏 微博
暂无回复
添加一条新回复 (您需要 登录 后才能回复 没有账号 ?)
  • 请尽量让自己的回复能够对别人有帮助
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`
  • 支持 @ 本站用户;支持表情(输入 : 提示),见 Emoji cheat sheet
  • 图片支持拖拽、截图粘贴等方式上传